Investors, warrants & staking

Create Payment Proof File

Records a payment-proof file for a warrant and moves the warrant to PENDING_PAYMENT_VERIFICATION with isPaid false.

POSThttps://api.toku.com/platform/create-payment-proof-file

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/platform/create-payment-proof-file' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "fileKey": "string",
  "warrantID": "string"
}'
200 response
{
  "fileID": "string",
  "orgID": "string",
  "fileName": "string",
  "mimeType": "string",
  "fileKey": "string",
  "fileBucket": "string",
  "fileURL": "string",
  "fileDownloadURL": "string",
  "fileUploaded": "string",
  "fileSizeInBytes": "string",
  "createdByUserID": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "legacyMigratedAt": "string",
  "legacyModelID": 0,
  "type": "string",
  "paymentProof": {
    "paymentProofID": "string",
    "roleInOrgID": "string",
    "investorEntityID": "string",
    "fileID": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "warrantID": "string"
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

fileKeystringrequired
warrantIDstringrequired

Response

200Successful response
fileIDstringrequired
orgIDstringrequired
fileNamestringrequired
mimeTypestringrequired
fileKeystringrequired
fileBucketstringrequired
fileURLstringrequired
fileDownloadURLstringrequired
fileUploadedstring | nullrequired
fileSizeInBytesstring | nullrequired
createdByUserIDstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
legacyMigratedAtstring | nullrequired
legacyModelIDinteger | nullrequired
typestringrequired
paymentProofobject | nullrequired
Show child attributes
paymentProofIDstringrequired
roleInOrgIDstringrequired
investorEntityIDstring | nullrequired
fileIDstringrequired
createdAtstringrequired
updatedAtstringrequired
warrantIDstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits